Subject: [netmod] change control rules

From: Andy Bierman <[email-masked]>
Date: Fri, 04 Jul 2008 09:24:54 -0700

Hi,

Where do change control rules and guidelines belong in YANG?
I know this is a slippery slope into CLR quicksand, but IMO,
most of the difficult unresolved issues involve the interaction
between modules as they change over time.

After ~15 years of reviewing MIBs for Cisco and the IETF,
I am obviously biased towards paying attention to how
SMIv2 handles this problem.  The whole point of MIB Police
or MIB Doctors is to maintain the robustness, stability,
and coherence of the API embodied in the complete set
of data model modules.  (You think MIBs are bad? You should
see some of the crap MIB writers want to publish!)

I know many people would prefer to start over and pretend
XML encoding and YANG complexity invalidates our SMI experience.
Maybe that's true, but then all the more reason to pay careful
attention to this problem, and not punt it into the future.

Andy

_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod